
Figure - Bug #118016
测试 Test-ST # 111337 (New): ST测试总票

测试 Test-ST # 116840 (New): 中控联调测试-AF

【AF】【EVT3】【AUDIO】副屏蓝牙电话->中控播音乐->副屏挂掉电话->副屏调节音量->喇叭声音随之改
变
2023-05-17 20:37 - CD TEST-方永红

Status: CLOSED Start date: 2023-05-17

Priority: Normal Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: AUDIO-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0100.C103(X103)

Resolution: FIXED Degrated: No

Severity: Normal Verified Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0102.C103(X103)

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause: 更新了新的蓝牙音量策略

Description

【前提条件】：

中控0080

副屏0100

【操作步骤】

副屏蓝牙电话->中控播音乐->副屏挂掉电话->副屏调节音量（此时副屏蓝牙处于连接状态）

【预期结果】

喇叭声音不改变

【实际结果】

喇叭声音随之改变

History

#1 - 2023-05-18 17:26 - Multimedia组-RD3_TSCD 梁卿山

HI ALL

该问题和策略有关，还得进一步确认。

具体如下：

当前的进一步测试蓝牙部分，发现有以下场景问题还需要进一步细化和确认；

1.蓝牙连接后，在蓝牙设置里可以选择该蓝牙输出通话声、媒体声，这个会影响蓝牙在audio里连接的判断，

这块设置是否保留或者是否可以干掉。

以下需要确定的现象：

2.蓝牙连接后，可以通话和播放音乐：

1.1.播放音乐时，从蓝牙出，此时应该调节蓝牙音量，不同步给中控；

1.2.VOIP通话时，从蓝牙出，此时应该调节蓝牙音量，不同步给中控；

1.3.播放音乐，从扬声器出，此时调节音量，是否同步中控；

1.4.VOIP通话时，从扬声器出，此时调节音量，是否同步中控。
#2 - 2023-05-20 15:24 - Multimedia组-RD3_TSCD 梁卿山

Hi all，

这个问题产生的原因是，对于蓝牙连接状态的判断错误，导致挂断时认为蓝牙处于断开状态，中控和副屏的音量联动。

解决方案：优化对于当前蓝牙连接状态的判断逻辑。

#3 - 2023-05-22 15:24 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

201555 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tangyj0127@thundersoft.com

MM: Audio: Fix issues with Bluetooth scenariosFix issues with Bluetooth scenariosTC-RID: 0301-0900116IssueID: TS-R-DF-118016Change-Id:

I6d54fe25c672a651b62626280d573b475e615fd1

#4 - 2023-05-22 15:29 - Multimedia组-RD3_TSCD 梁卿山

- Status changed from New to RESOLVED

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Root cause set to 更新了新的蓝牙音量策略

HI 永红

该问题已经投入修复的方案，请使用5/22后的版本验证。

当前确定的蓝牙音量调节策略：

1.播放音乐时，从蓝牙出，此时应该调节蓝牙音量，不同步给中控；

2.VOIP通话时，从蓝牙出，此时应该调节蓝牙音量，不同步给中控；

3.播放音乐时，从扬声器出，此时调节音量，同步中控；

4.VOIP通话时，从扬声器出，此时调节音量，不同步给中控。

#5 - 2023-05-22 15:29 - Multimedia组-RD3_TSCD 梁卿山

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to CD TEST-方永红

#6 - 2023-05-23 15:11 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- % Done changed from 0 to 100

- Verified Version set to FlatBuild_HH_MCE_FSE.M.R.user.01.00.0102.C103(X103)

5.23

验证通过

#7 - 2023-05-23 15:11 - CD TEST-方永红
- Status changed from VERIFIED to CLOSED

Files

2034.txt 4.09 MB 2023-05-17 CD TEST-方永红
